document.addEventListener('DOMContentLoaded', function() {
  var iframe;
  iframe = document.createElement('iframe');
  var src = 'https://docsend.com/api/extensions/v1/chrome/browser/folders?start=true';
  iframe.style.cssText = 'height:100%;width:100%;border:none;';

  chrome.tabs.query({currentWindow: true, active: true}, function(tabs){
    var url = new URL(tabs[0].url);
    var hostname = url.hostname;
    var domainFragments = hostname.split('.');
    var length = domainFragments.length;
    var service = null;

    if (domainFragments[length - 1] === 'io' &&
        domainFragments[length - 2] === 'outreach') {
      service = 'Outreach';
    } else if (domainFragments[length - 1] === 'com' &&
               domainFragments[length - 2] === 'salesloft') {
      service = 'Salesloft';
    }

    src += '&service=' + service;
    iframe.src = src;
    document.body.appendChild(iframe);
  });

  window.addEventListener('message', receiveMessage, false);
});

function receiveMessage(event) {
  if (event.origin !== 'https://docsend.com') { return; }

  var obj = JSON.parse(event.data)
  if (obj.copyLink == true) {
    var fullUrl = obj.fullUrl;
    var input = document.createElement('input');
    input.style.position = 'fixed';
    input.style.opacity = 0;
    input.value = fullUrl;
    document.body.appendChild(input);
    input.select();
    document.execCommand('copy');
  }
};
